﻿#include "IView.h"
#include "view/httplib.h"

namespace hp = httplib;

class HttpView : util::IView
{
public:
	HttpView() { }

	void Exec() const final;

	// 查看证书
	void About() const;

	// 从视图获取证书
	void GetLicense(char* lic, uint16_t len) const;

	// 输出硬件标识
	void GetMachineCode(char* code, uint16_t len) const;

private:
	mutable hp::Server m_svr;
};